Executes several fleet searches with a single API request
- POST also GET /{index}/_fleet/_fleet_msearch
- POST also GET /_fleet/_fleet_msearch
The API follows the same structure as the multi search (_msearch) API.
However, similar to the fleet search API, it supports the wait_for_checkpoints parameter.
- Index privileges:
read
Path Parameters
-
indexIndexName | IndexAliasoptional -
A single target to search. If the target is an index alias, it must resolve to a single index.
Leave it out to use
/_fleet/_fleet_msearch.
Query Parameters
-
allow_no_indicesboolean If false, the request returns an error if any wildcard expression, index alias, or _all value targets only missing or closed indices. This behavior applies even if the request targets other open indices. For example, a request targeting foo*,bar* returns an error if an index starts with foo but no index starts with bar.
-
ccs_minimize_roundtripsboolean · default: true If true, network roundtrips between the coordinating node and remote clusters are minimized for cross-cluster search requests.
-
expand_wildcardsExpandWildcards Type of index that wildcard expressions can match. If the request can target data streams, this argument determines whether wildcard expressions match hidden data streams.
Supported values include:
all: Match any data stream or index, including hidden ones.open: Match open, non-hidden indices. Also matches any non-hidden data stream.closed: Match closed, non-hidden indices. Also matches any non-hidden data stream. Data streams cannot be closed.hidden: Match hidden data streams and hidden indices. Must be combined withopen,closed, orboth.none: Wildcard expressions are not accepted.
-
Values:
allopenclosedhiddennone -
ignore_throttledboolean · default: false If true, concrete, expanded or aliased indices are ignored when frozen.
If true, missing or closed indices are not included in the response.
-
max_concurrent_searchesnumber Maximum number of concurrent searches the multi search API can execute.
-
max_concurrent_shard_requestsnumber · default: 5 Maximum number of concurrent shard requests that each sub-search request executes per node.
-
pre_filter_shard_sizenumber Defines a threshold that enforces a pre-filter roundtrip to prefilter search shards based on query rewriting if the number of shards the search request expands to exceeds the threshold. This filter roundtrip can limit the number of shards significantly if for instance a shard can not match any documents based on its rewrite method i.e., if date filters are mandatory to match but the shard bounds and the query are disjoint.
-
search_typeSearchType Indicates whether global term and document frequencies should be used when scoring returned documents.
Supported values include:
query_then_fetch: Documents are scored using local term and document frequencies for the shard. This is usually faster but less accurate.dfs_query_then_fetch: Documents are scored using global term and document frequencies across all shards. This is usually slower but more accurate.
-
Values:
query_then_fetchdfs_query_then_fetch -
rest_total_hits_as_intboolean · default: false If true, hits.total are returned as an integer in the response. Defaults to false, which returns an object.
-
typed_keysboolean Specifies whether aggregation and suggester names should be prefixed by their respective types in the response.
-
wait_for_checkpointsnumber · default: [] A comma separated list of checkpoints. When configured, the search API will only be executed on a shard after the relevant checkpoint has become visible for search. Defaults to an empty list which will cause Elasticsearch to immediately execute the search.
-
allow_partial_search_resultsboolean If true, returns partial results if there are shard request timeouts or shard failures. If false, returns an error with no partial results. Defaults to the configured cluster setting
search.default_allow_partial_resultswhich is true by default.
Request
Contains parameters used to limit or change the subsequent search body request.
-
allow_no_indicesboolean -
expand_wildcardsstring ExpandWildcards -
Supported values include:
all: Match any data stream or index, including hidden ones.open: Match open, non-hidden indices. Also matches any non-hidden data stream.closed: Match closed, non-hidden indices. Also matches any non-hidden data stream. Data streams cannot be closed.hidden: Match hidden data streams and hidden indices. Must be combined withopen,closed, orboth.none: Wildcard expressions are not accepted.
-
Values:
allopenclosedhiddennone -
indexstring Indices -
preferencestring -
request_cacheboolean -
routingstring Routing -
search_typeSearchType -
Supported values include:
query_then_fetch: Documents are scored using local term and document frequencies for the shard. This is usually faster but less accurate.dfs_query_then_fetch: Documents are scored using global term and document frequencies across all shards. This is usually slower but more accurate.
-
Values:
query_then_fetchdfs_query_then_fetch -
ccs_minimize_roundtripsboolean -
allow_partial_search_resultsboolean -
ignore_throttledboolean
-
aggregationsmap string to AggregationContainer -
collapseFieldCollapse -
fieldstring Fieldrequired -
The field to collapse the result set on
-
inner_hitsoneOf -
The number of inner hits and their sort order
-
namestring Name -
The name for the particular inner hit definition in the response. Useful when a search request contains multiple inner hits.
-
sizenumber · default: 3 -
The maximum number of hits to return per
inner_hits. -
fromnumber · default: 0 -
Inner hit starting document offset.
-
collapseFieldCollapse -
docvalue_fieldsFieldAndFormat -
fieldstring Fieldrequired -
A wildcard pattern. The request returns values for field names matching this pattern.
-
formatstring -
The format in which the values are returned.
-
include_unmappedboolean -
explainboolean -
highlightHighlight -
typeHighlighterType -
Supported values include:
plain: Theplainhighlighter uses the standard Lucene highlighterfvh: The fvh highlighter uses the Lucene Fast Vector highlighter.unified: The unified highlighter uses the Lucene Unified Highlighter.
-
Values:
plainfvhunified -
boundary_charsstring · default: .,!? \t\n -
A string that contains each boundary character.
-
boundary_max_scannumber · default: 20 -
How far to scan for boundary characters.
-
boundary_scannerBoundaryScanner -
Specifies how to break the highlighted fragments: chars, sentence, or word. Only valid for the unified and fvh highlighters. Defaults to
sentencefor theunifiedhighlighter. Defaults tocharsfor thefvhhighlighter.Supported values include:
chars: Use the characters specified byboundary_charsas highlighting boundaries. Theboundary_max_scansetting controls how far to scan for boundary characters. Only valid for thefvhhighlighter.sentence: Break highlighted fragments at the next sentence boundary, as determined by Java’sBreakIterator. You can specify the locale to use withboundary_scanner_locale. When used with theunifiedhighlighter, thesentencescanner splits sentences bigger thanfragment_sizeat the first word boundary next to fragment_size. You can setfragment_sizeto0to never split any sentence.word: Break highlighted fragments at the next word boundary, as determined by Java’sBreakIterator. You can specify the locale to use withboundary_scanner_locale.
-
Values:
charssentenceword -
boundary_scanner_localestring · default: Locale.ROOT -
Controls which locale is used to search for sentence and word boundaries. This parameter takes a form of a language tag, for example:
"en-US","fr-FR","ja-JP". -
force_sourcebooleandeprecated -
fragmenterHighlighterFragmenter · default: span -
Specifies how text should be broken up in highlight snippets:
simpleorspan. Only valid for theplainhighlighter. -
Values:
simplespan -
fragment_sizenumber · default: 100 -
The size of the highlighted fragment in characters.
-
highlight_filterboolean -
highlight_queryQueryContainer -
Highlight matches for a query other than the search query. This is especially useful if you use a rescore query because those are not taken into account by highlighting by default.
-
max_fragment_lengthnumber -
max_analyzed_offsetnumber -
If set to a non-negative value, highlighting stops at this defined maximum limit. The rest of the text is not processed, thus not highlighted and no error is returned The
max_analyzed_offsetquery setting does not override theindex.highlight.max_analyzed_offsetsetting, which prevails when it’s set to lower value than the query setting. -
no_match_sizenumber · default: 0 -
The amount of text you want to return from the beginning of the field if there are no matching fragments to highlight.
-
number_of_fragmentsnumber · default: 5 -
The maximum number of fragments to return. If the number of fragments is set to
0, no fragments are returned. Instead, the entire field contents are highlighted and returned. This can be handy when you need to highlight short texts such as a title or address, but fragmentation is not required. Ifnumber_of_fragmentsis0,fragment_sizeis ignored. -
optionsmap string to object -
orderHighlighterOrder · default: none -
Sorts highlighted fragments by score when set to
score. By default, fragments will be output in the order they appear in the field (order:none). Setting this option toscorewill output the most relevant fragments first. Each highlighter applies its own logic to compute relevancy scores. -
Values:
score -
phrase_limitnumber · default: 256 -
Controls the number of matching phrases in a document that are considered. Prevents the
fvhhighlighter from analyzing too many phrases and consuming too much memory. When usingmatched_fields,phrase_limitphrases per matched field are considered. Raising the limit increases query time and consumes more memory. Only supported by thefvhhighlighter. -
Use in conjunction with
pre_tagsto define the HTML tags to use for the highlighted text. By default, highlighted text is wrapped in<em>and</em>tags. -
Use in conjunction with
post_tagsto define the HTML tags to use for the highlighted text. By default, highlighted text is wrapped in<em>and</em>tags. -
require_field_matchboolean · default: true -
By default, only fields that contains a query match are highlighted. Set to
falseto highlight all fields. -
Set to
styledto use the built-in tag schema. -
Values:
styled -
encoderHighlighterEncoder -
Values:
defaulthtml -
fieldsmap string to HighlightFieldrequired -
<string>HighlightField -
typeHighlighterType -
Supported values include:
plain: Theplainhighlighter uses the standard Lucene highlighterfvh: The fvh highlighter uses the Lucene Fast Vector highlighter.unified: The unified highlighter uses the Lucene Unified Highlighter.
-
Values:
plainfvhunified -
boundary_charsstring · default: .,!? \t\n -
A string that contains each boundary character.
-
boundary_max_scannumber · default: 20 -
How far to scan for boundary characters.
-
boundary_scannerBoundaryScanner -
Specifies how to break the highlighted fragments: chars, sentence, or word. Only valid for the unified and fvh highlighters. Defaults to
sentencefor theunifiedhighlighter. Defaults tocharsfor thefvhhighlighter.Supported values include:
chars: Use the characters specified byboundary_charsas highlighting boundaries. Theboundary_max_scansetting controls how far to scan for boundary characters. Only valid for thefvhhighlighter.sentence: Break highlighted fragments at the next sentence boundary, as determined by Java’sBreakIterator. You can specify the locale to use withboundary_scanner_locale. When used with theunifiedhighlighter, thesentencescanner splits sentences bigger thanfragment_sizeat the first word boundary next to fragment_size. You can setfragment_sizeto0to never split any sentence.word: Break highlighted fragments at the next word boundary, as determined by Java’sBreakIterator. You can specify the locale to use withboundary_scanner_locale.
-
Values:
charssentenceword -
boundary_scanner_localestring · default: Locale.ROOT -
Controls which locale is used to search for sentence and word boundaries. This parameter takes a form of a language tag, for example:
"en-US","fr-FR","ja-JP". -
force_sourcebooleandeprecated -
fragmenterHighlighterFragmenter · default: span -
Specifies how text should be broken up in highlight snippets:
simpleorspan. Only valid for theplainhighlighter. -
Values:
simplespan -
fragment_sizenumber · default: 100 -
The size of the highlighted fragment in characters.
-
highlight_filterboolean -
highlight_queryQueryContainer -
Highlight matches for a query other than the search query. This is especially useful if you use a rescore query because those are not taken into account by highlighting by default.
-
max_fragment_lengthnumber -
max_analyzed_offsetnumber -
If set to a non-negative value, highlighting stops at this defined maximum limit. The rest of the text is not processed, thus not highlighted and no error is returned The
max_analyzed_offsetquery setting does not override theindex.highlight.max_analyzed_offsetsetting, which prevails when it’s set to lower value than the query setting. -
no_match_sizenumber · default: 0 -
The amount of text you want to return from the beginning of the field if there are no matching fragments to highlight.
-
number_of_fragmentsnumber · default: 5 -
The maximum number of fragments to return. If the number of fragments is set to
0, no fragments are returned. Instead, the entire field contents are highlighted and returned. This can be handy when you need to highlight short texts such as a title or address, but fragmentation is not required. Ifnumber_of_fragmentsis0,fragment_sizeis ignored. -
optionsmap string to object -
orderHighlighterOrder · default: none -
Sorts highlighted fragments by score when set to
score. By default, fragments will be output in the order they appear in the field (order:none). Setting this option toscorewill output the most relevant fragments first. Each highlighter applies its own logic to compute relevancy scores. -
Values:
score -
phrase_limitnumber · default: 256 -
Controls the number of matching phrases in a document that are considered. Prevents the
fvhhighlighter from analyzing too many phrases and consuming too much memory. When usingmatched_fields,phrase_limitphrases per matched field are considered. Raising the limit increases query time and consumes more memory. Only supported by thefvhhighlighter. -
Use in conjunction with
pre_tagsto define the HTML tags to use for the highlighted text. By default, highlighted text is wrapped in<em>and</em>tags. -
Use in conjunction with
post_tagsto define the HTML tags to use for the highlighted text. By default, highlighted text is wrapped in<em>and</em>tags. -
require_field_matchboolean · default: true -
By default, only fields that contains a query match are highlighted. Set to
falseto highlight all fields. -
Set to
styledto use the built-in tag schema. -
Values:
styled -
fragment_offsetnumber -
matched_fieldsstring Fields -
ignore_unmappedboolean -
script_fieldsmap string to ScriptField -
<string>ScriptField -
scriptstring Scriptrequired -
ignore_failureboolean -
seq_no_primary_termboolean -
fieldsstring Field -
sortSort -
How the inner hits should be sorted per
inner_hits. By default, inner hits are sorted by score. -
_sourceSourceConfig -
stored_fieldsstring Fields -
track_scoresboolean · default: false -
versionboolean -
max_concurrent_group_searchesnumber -
The number of concurrent requests allowed to retrieve the inner_hits per group
-
collapseFieldCollapse -
queryQueryContainer -
Defines the search definition using the Query DSL.
-
explainboolean · default: false -
If true, returns detailed information about score computation as part of a hit.
-
extmap string to object -
Configuration of search extensions defined by Elasticsearch plugins.
-
stored_fieldsstring Fields -
List of stored fields to return as part of a hit. If no fields are specified, no stored fields are included in the response. If this field is specified, the _source parameter defaults to false. You can pass _source: true to return both source fields and stored fields in the search response.
-
docvalue_fieldsFieldAndFormat -
Array of wildcard (*) patterns. The request returns doc values for field names matching these patterns in the hits.fields property of the response.
-
fieldstring Fieldrequired -
A wildcard pattern. The request returns values for field names matching this pattern.
-
formatstring -
The format in which the values are returned.
-
include_unmappedboolean -
knnoneOf -
Defines the approximate kNN search to run.
-
fieldstring Fieldrequired -
The name of the vector field to search against
-
query_vectorQueryVector -
The query vector
-
query_vector_builderQueryVectorBuilder -
The query vector builder. You must provide a query_vector_builder or query_vector, but not both.
-
text_embeddingTextEmbedding -
model_idstring -
Model ID is required for all dense_vector fields but may be inferred for semantic_text fields
-
model_textstringrequired -
knumber -
The final number of nearest neighbors to return as top hits
-
num_candidatesnumber -
The number of nearest neighbor candidates to consider per shard
-
boostnumber -
Boost value to apply to kNN scores
-
filteroneOf -
Filters for the kNN search query
-
similaritynumber -
The minimum similarity for a vector to be considered a match
-
inner_hitsInnerHits -
If defined, each search hit will contain inner hits.
-
namestring Name -
The name for the particular inner hit definition in the response. Useful when a search request contains multiple inner hits.
-
sizenumber · default: 3 -
The maximum number of hits to return per
inner_hits. -
fromnumber · default: 0 -
Inner hit starting document offset.
-
collapseFieldCollapse -
fieldstring Fieldrequired -
The field to collapse the result set on
-
inner_hitsoneOf -
The number of inner hits and their sort order
-
max_concurrent_group_searchesnumber -
The number of concurrent requests allowed to retrieve the inner_hits per group
-
collapseFieldCollapse -
docvalue_fieldsFieldAndFormat -
fieldstring Fieldrequired -
A wildcard pattern. The request returns values for field names matching this pattern.
-
formatstring -
The format in which the values are returned.
-
include_unmappedboolean -
explainboolean -
highlightHighlight -
ignore_unmappedboolean -
script_fieldsmap string to ScriptField -
<string>ScriptField -
scriptstring Scriptrequired -
ignore_failureboolean -
seq_no_primary_termboolean -
fieldsstring Field -
sortSort -
How the inner hits should be sorted per
inner_hits. By default, inner hits are sorted by score. -
_sourceSourceConfig -
stored_fieldsstring Fields -
track_scoresboolean · default: false -
versionboolean -
rescore_vectorRescoreVector -
Apply oversampling and rescoring to quantized vectors *
-
oversamplenumberrequired -
Applies the specified oversample factor to k on the approximate kNN search
-
_namestring -
fromnumber · default: 0 -
Starting document offset. By default, you cannot page through more than 10,000 hits using the from and size parameters. To page through more hits, use the search_after parameter.
-
highlightHighlight -
indices_booststring to number -
Boosts the _score of documents from specified indices.
-
min_scorenumber -
The minimum
_scorefor matching documents. Documents with a lower_scoreare not included in search results and results collected by aggregations. -
profileboolean -
rescoreoneOf -
window_sizenumber -
queryRescoreQuery -
rescore_queryQueryContainerrequired -
The query to use for rescoring. This query is only run on the Top-K results returned by the
queryandpost_filterphases. -
query_weightnumber · default: 1 -
Relative importance of the original query versus the rescore query.
-
rescore_query_weightnumber · default: 1 -
Relative importance of the rescore query versus the original query.
-
score_modeScoreMode · default: total -
Determines how scores are combined.
Supported values include:
avg: Average the original score and the rescore query score.max: Take the max of original score and the rescore query score.min: Take the min of the original score and the rescore query score.multiply: Multiply the original score by the rescore query score. Useful forfunctionquery rescores.total: Add the original score and the rescore query score.
-
Values:
avgmaxminmultiplytotal -
learning_to_rankLearningToRank -
script_fieldsmap string to ScriptField -
Retrieve a script evaluation (based on different fields) for each hit.
-
<string>ScriptField -
scriptstring Scriptrequired -
ignore_failureboolean -
search_afterSortResults -
sizenumber · default: 10 -
The number of hits to return. By default, you cannot page through more than 10,000 hits using the from and size parameters. To page through more hits, use the search_after parameter.
-
sortSort -
_sourceSourceConfig -
Indicates which source fields are returned for matching documents. These fields are returned in the hits._source property of the search response.
-
fieldsFieldAndFormat -
Array of wildcard (*) patterns. The request returns values for field names matching these patterns in the hits.fields property of the response.
-
fieldstring Fieldrequired -
A wildcard pattern. The request returns values for field names matching this pattern.
-
formatstring -
The format in which the values are returned.
-
include_unmappedboolean -
terminate_afternumber · default: 0 -
Maximum number of documents to collect for each shard. If a query reaches this limit, Elasticsearch terminates the query early. Elasticsearch collects documents before sorting. Defaults to 0, which does not terminate query execution early.
-
statsstring -
Stats groups to associate with the search. Each group maintains a statistics aggregation for its associated searches. You can retrieve these stats using the indices stats API.
-
timeoutstring -
Specifies the period of time to wait for a response from each shard. If no response is received before the timeout expires, the request fails and returns an error. Defaults to no timeout.
-
track_scoresboolean · default: false -
If true, calculate and return document scores, even if the scores are not used for sorting.
-
track_total_hitsboolean | number -
Number of hits matching the query to count accurately. If true, the exact number of hits is returned at the cost of some performance. If false, the response does not include the total number of hits matching the query. Defaults to 10,000 hits.
-
versionboolean · default: false -
If true, returns document version as part of a hit.
-
runtime_mappingsRuntimeFields -
Defines one or more runtime fields in the search request. These fields take precedence over mapped fields with the same name.
-
seq_no_primary_termboolean -
If true, returns sequence number and primary term of the last modification of each hit. See Optimistic concurrency control.
-
pitPointInTimeReference -
Limits the search to a point in time (PIT). If you provide a PIT, you cannot specify an
-
idstring Idrequired -
keep_alivestring Duration
Response
-
docsResponseItemrequired -
tooknumberrequired -
The number of milliseconds it took Elasticsearch to run the request. This value is calculated by measuring the time elapsed between receipt of a request on the coordinating node and the time at which the coordinating node is ready to send the response. It includes:
- Communication time between the coordinating node and data nodes
- Time the request spends in the search thread pool, queued for execution
- Actual run time
It does not include:
- Time needed to send the request to Elasticsearch
- Time needed to serialize the JSON response
- Time needed to send the response to a client
-
timed_outbooleanrequired -
If
true, the request timed out before completion; returned results may be partial or empty. -
_shardsShardStatisticsrequired -
A count of shards used for the request.
-
failednumber uintrequired -
The number of shards the operation or search attempted to run on but failed.
-
successfulnumber uintrequired -
The number of shards the operation or search succeeded on.
-
totalnumber uintrequired -
The number of shards the operation or search will run on overall.
-
failuresShardFailure -
indexstring IndexName -
nodestring -
reasonErrorCauserequired -
typestringrequired -
The type of error
-
reasonstringnullable -
A human-readable explanation of the error, in English.
-
stack_tracestring -
The server stack trace. Present only if the
error_trace=trueparameter was sent with the request. -
caused_byErrorCause -
root_causeErrorCause -
suppressedErrorCause -
shardnumber -
statusstring -
primaryboolean -
skippednumber uint -
hitsHitsMetadatarequired -
The returned documents and metadata.
-
totaloneOf -
Total hit count information, present only if
track_total_hitswasn'tfalsein the search request. -
hitsHitrequired -
_indexstring IndexNamerequired -
_idstring Id -
_scorenumber | stringnullable -
_explanationExplanation -
descriptionstringrequired -
detailsExplanationDetailrequired -
descriptionstringrequired -
detailsExplanationDetail -
valuenumberrequired -
valuenumberrequired -
fieldsmap string to object -
highlightmap string to string -
inner_hitsmap string to InnerHitsResult -
<string>InnerHitsResult -
hitsHitsMetadatarequired -
matched_queriesoneOf -
_ignoredstring -
ignored_field_valuesmap string to FieldValue -
_shardstring -
_nodestring -
_routingstring -
_sourceobject -
_ranknumber -
_seq_nonumber SequenceNumber -
_primary_termnumber -
_versionnumber VersionNumber -
sortSortResults -
max_scorenumber | stringnullable -
aggregationsmap string to Aggregate -
_clustersClusterStatistics -
fieldsmap string to object -
max_scorenumber -
num_reduce_phasesnumber -
profileProfile -
shardsShardProfilerequired -
aggregationsAggregationProfilerequired -
breakdownAggregationBreakdownrequired -
build_aggregationnumberrequired -
build_aggregation_countnumberrequired -
build_leaf_collectornumberrequired -
build_leaf_collector_countnumberrequired -
collectnumberrequired -
collect_countnumberrequired -
initializenumberrequired -
initialize_countnumberrequired -
post_collectionnumber -
post_collection_countnumber -
reducenumberrequired -
reduce_countnumberrequired -
descriptionstringrequired -
time_in_nanosDurationValueUnitNanosrequired -
typestringrequired -
debugAggregationProfileDebug -
collection_strategystring -
total_bucketsnumber -
built_bucketsnumber -
result_strategystring -
has_filterboolean -
delegatestring -
delegate_debugAggregationProfileDebug -
chars_fetchednumber -
extract_countnumber -
extract_nsnumber -
values_fetchednumber -
collect_analyzed_nsnumber -
collect_analyzed_countnumber -
surviving_bucketsnumber -
ordinals_collectors_usednumber -
numeric_collectors_usednumber -
empty_collectors_usednumber -
deferred_aggregatorsstring -
segments_with_deleted_docsnumber -
filtersAggregationProfileDelegateDebugFilter -
results_from_metadatanumber -
querystring -
specialized_forstring -
segments_countednumber -
segments_collectednumber -
map_reducerstring -
brute_force_usednumber -
dynamic_pruning_attemptednumber -
dynamic_pruning_usednumber -
skipped_due_to_no_datanumber -
childrenAggregationProfile -
clusterstringrequired -
dfsDfsProfile -
statisticsDfsStatisticsProfile -
typestringrequired -
descriptionstringrequired -
timestring Duration -
time_in_nanosDurationValueUnitNanosrequired -
breakdownDfsStatisticsBreakdownrequired -
collection_statisticsnumberrequired -
collection_statistics_countnumberrequired -
create_weightnumberrequired -
create_weight_countnumberrequired -
rewritenumberrequired -
rewrite_countnumberrequired -
term_statisticsnumberrequired -
term_statistics_countnumberrequired -
debugmap string to object -
childrenDfsStatisticsProfile -
knnDfsKnnProfile -
vector_operations_countnumber -
queryKnnQueryProfileResultrequired -
typestringrequired -
descriptionstringrequired -
timestring Duration -
time_in_nanosDurationValueUnitNanosrequired -
breakdownKnnQueryProfileBreakdownrequired -
advancenumberrequired -
advance_countnumberrequired -
build_scorernumberrequired -
build_scorer_countnumberrequired -
compute_max_scorenumberrequired -
compute_max_score_countnumberrequired -
count_weightnumberrequired -
count_weight_countnumberrequired -
create_weightnumberrequired -
create_weight_countnumberrequired -
matchnumberrequired -
match_countnumberrequired -
next_docnumberrequired -
next_doc_countnumberrequired -
scorenumberrequired -
score_countnumberrequired -
set_min_competitive_scorenumberrequired -
set_min_competitive_score_countnumberrequired -
shallow_advancenumberrequired -
shallow_advance_countnumberrequired -
debugmap string to object -
childrenKnnQueryProfileResult -
rewrite_timenumberrequired -
fetchFetchProfile -
typestringrequired -
descriptionstringrequired -
time_in_nanosDurationValueUnitNanosrequired -
breakdownFetchProfileBreakdownrequired -
load_sourcenumber -
load_source_countnumber -
load_stored_fieldsnumber -
load_stored_fields_countnumber -
next_readernumber -
next_reader_countnumber -
process_countnumber -
processnumber -
debugFetchProfileDebug -
stored_fieldsstring -
fast_pathnumber -
childrenFetchProfile -
idstringrequired -
indexstring IndexNamerequired -
node_idstringrequired -
searchesSearchProfilerequired -
collectorCollectorrequired -
namestringrequired -
reasonstringrequired -
time_in_nanosDurationValueUnitNanosrequired -
childrenCollector -
queryQueryProfilerequired -
breakdownQueryBreakdownrequired -
advancenumberrequired -
advance_countnumberrequired -
build_scorernumberrequired -
build_scorer_countnumberrequired -
create_weightnumberrequired -
create_weight_countnumberrequired -
matchnumberrequired -
match_countnumberrequired -
shallow_advancenumberrequired -
shallow_advance_countnumberrequired -
next_docnumberrequired -
next_doc_countnumberrequired -
scorenumberrequired -
score_countnumberrequired -
compute_max_scorenumberrequired -
compute_max_score_countnumberrequired -
count_weightnumberrequired -
count_weight_countnumberrequired -
set_min_competitive_scorenumberrequired -
set_min_competitive_score_countnumberrequired -
descriptionstringrequired -
time_in_nanosDurationValueUnitNanosrequired -
typestringrequired -
childrenQueryProfile -
rewrite_timenumberrequired -
shard_idnumberrequired -
pit_idstring Id -
_scroll_idstring ScrollId -
The identifier for the search and its search context. You can use this scroll ID with the scroll API to retrieve the next batch of search results for the request. This property is returned only if the
scrollquery parameter is specified in the request. - Reference
-
suggestmap string to Suggest -
terminated_earlyboolean -
statusnumber -
errorErrorCauserequired -
typestringrequired -
The type of error
-
reasonstringnullable -
A human-readable explanation of the error, in English.
-
stack_tracestring -
The server stack trace. Present only if the
error_trace=trueparameter was sent with the request. -
caused_byErrorCause -
root_causeErrorCause -
suppressedErrorCause -
statusnumberrequired
The response returned by Elasticsearch when request execution did not succeed.